[package]
name = "syd-tui"
version = "0.2.2"
authors = ["Ali Polatel <alip@chesswob.org>"]
edition = "2018"
description = "Syd's Terminal User Interface"
readme = "README.md"
homepage = "https://man.exherbo.org"
repository = "https://gitlab.exherbo.org/sydbox/sydbox.git"
license = "GPL-3.0"
keywords = ["container", "security", "sandbox",]
categories = ["command-line-utilities", "os::linux-apis", "security"]
rust-version = "1.83"
include = ["**/*.rs", "*.md", "man/*.scd", "Cargo.toml", "Cargo.lock"]

[dependencies]
data-encoding = { version = "2.10", default-features = false, features = ["std"] }
libc = { version = "0.2", default-features = false }
nix = { version = "0.31", default-features = false, features = ["fs", "signal", "socket", "term"] }
ratatui = { version = "0.29", default-features = false, features = ["termion"] }
termion = { version = "4.0", default-features = false }
tokio = { version = "1.50", default-features = false, features = ["fs", "io-std", "io-util", "net", "process", "rt", "rt-multi-thread", "signal", "sync", "time"] }
